Subject: Re: [G[PATCH 1/2][ENETLINK] max cmd boundary chec

From: jamal <[email-masked]>
Date: Fri, 01 Dec 2006 09:30:27 -0500

Shall i assume that the patch showed up fine i.e no crap like mime?
I still didnt get an echo back, did it make the list?

On Fri, 2006-01-12 at 13:49 +0100, Thomas Graf wrote:

> I can't see why this should be required. genl_register_ops()
> enforces a unique command id 
> and genl_ops->cmd is u8 so there is no way to register more than 
> 256 commands anyway.

By mistake during the tutorial, i had the id at something like 321.
It registered fine but then listing the command showed it with a
different id than what i thought it should be. I think it chops off
all the bystes other than the LS one - which is not a good error
check.
The compiler will whine actually. If you ignore it (perhaps not seeing
the warning in a mass compile) it registers just fine.

cheers,
jamal